/*
* This Source Code Form is subject to the terms of the Mozilla Public
* License, v. 2.0. If a copy of the MPL was not distributed with this
* file, You can obtain one at https://mozilla.org/MPL/2.0/.
*/

/**
* @file
* @copyright 2022 MPLv2
*/

/**
* @defgroup tests
*/


#define CATCH_CONFIG_MAIN

#include <catch2/catch.hpp>

#include "WHISPER/InternalUDPService.hpp"
#include "WHISPER/Messages/Message.hpp"
#include "zmq.hpp"

#include <WHISPER/Messages/Join.hpp>
#include <WHISPER/Messages/Protos/message.pb.h>
#include <memory>

/**
* @brief brief test description
* @ingroup group
*/
SCENARIO("A test scenario","[keywords]")
{
  GIVEN("Preliminaries")
  {
    int i = 40;
    WHEN("doing something")
    {
      i = i + 2;

      THEN("expecting something to happen")
      {
        REQUIRE(i == 42 );
      } // THEN
    } // WHEN
  } // GIVEN
} // SCENARIO
